!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 203

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1399)
  integer, parameter :: nGC_801 = 1
  integer, parameter :: nGC_800 = 2
  integer, parameter :: nGC_803 = 3
  integer, parameter :: nGC_802 = 4
  integer, parameter :: nGC_805 = 5
  integer, parameter :: nGC_804 = 6
  integer, parameter :: nGC_807 = 7
  integer, parameter :: nGC_806 = 8
  integer, parameter :: nGC_809 = 9
  integer, parameter :: nGC_808 = 10
  integer, parameter :: nGC_74 = 11
  integer, parameter :: nGC_233 = 12
  integer, parameter :: nGC_231 = 13
  integer, parameter :: nGC_237 = 14
  integer, parameter :: nGC_235 = 15
  integer, parameter :: nGC_239 = 16
  integer, parameter :: nGC_698 = 17
  integer, parameter :: nGC_699 = 18
  integer, parameter :: nGC_690 = 19
  integer, parameter :: nGC_691 = 20
  integer, parameter :: nGC_692 = 21
  integer, parameter :: nGC_693 = 22
  integer, parameter :: nGC_694 = 23
  integer, parameter :: nGC_695 = 24
  integer, parameter :: nGC_696 = 25
  integer, parameter :: nGC_697 = 26
  integer, parameter :: nGC_764 = 27
  integer, parameter :: nGC_765 = 28
  integer, parameter :: nGC_766 = 29
  integer, parameter :: nGC_767 = 30
  integer, parameter :: nGC_760 = 31
  integer, parameter :: nGC_761 = 32
  integer, parameter :: nGC_762 = 33
  integer, parameter :: nGC_763 = 34
  integer, parameter :: nGC_768 = 35
  integer, parameter :: nGC_769 = 36
  integer, parameter :: nGC_838 = 37
  integer, parameter :: nGC_839 = 38
  integer, parameter :: nGC_834 = 39
  integer, parameter :: nGC_835 = 40
  integer, parameter :: nGC_836 = 41
  integer, parameter :: nGC_837 = 42
  integer, parameter :: nGC_830 = 43
  integer, parameter :: nGC_831 = 44
  integer, parameter :: nGC_832 = 45
  integer, parameter :: nGC_833 = 46
  integer, parameter :: nGC_636 = 47
  integer, parameter :: nGC_637 = 48
  integer, parameter :: nGC_635 = 49
  integer, parameter :: nGC_738 = 50
  integer, parameter :: nGC_735 = 51
  integer, parameter :: nGC_733 = 52
  integer, parameter :: nGC_638 = 53
  integer, parameter :: nGC_221 = 54
  integer, parameter :: nGC_223 = 55
  integer, parameter :: nGC_225 = 56
  integer, parameter :: nGC_227 = 57
  integer, parameter :: nGC_687 = 58
  integer, parameter :: nGC_686 = 59
  integer, parameter :: nGC_685 = 60
  integer, parameter :: nGC_684 = 61
  integer, parameter :: nGC_683 = 62
  integer, parameter :: nGC_682 = 63
  integer, parameter :: nGC_681 = 64
  integer, parameter :: nGC_680 = 65
  integer, parameter :: nGC_689 = 66
  integer, parameter :: nGC_688 = 67
  integer, parameter :: nGC_773 = 68
  integer, parameter :: nGC_772 = 69
  integer, parameter :: nGC_771 = 70
  integer, parameter :: nGC_770 = 71
  integer, parameter :: nGC_777 = 72
  integer, parameter :: nGC_776 = 73
  integer, parameter :: nGC_775 = 74
  integer, parameter :: nGC_774 = 75
  integer, parameter :: nGC_779 = 76
  integer, parameter :: nGC_778 = 77
  integer, parameter :: nGC_829 = 78
  integer, parameter :: nGC_828 = 79
  integer, parameter :: nGC_823 = 80
  integer, parameter :: nGC_822 = 81
  integer, parameter :: nGC_821 = 82
  integer, parameter :: nGC_820 = 83
  integer, parameter :: nGC_827 = 84
  integer, parameter :: nGC_826 = 85
  integer, parameter :: nGC_825 = 86
  integer, parameter :: nGC_824 = 87
  integer, parameter :: nGC_1265 = 88
  integer, parameter :: nGC_1264 = 89
  integer, parameter :: nGC_1266 = 90
  integer, parameter :: nGC_1263 = 91
  integer, parameter :: nGC_99 = 92
  integer, parameter :: nGC_98 = 93
  integer, parameter :: nGC_97 = 94
  integer, parameter :: nGC_96 = 95
  integer, parameter :: nGC_95 = 96
  integer, parameter :: nGC_94 = 97
  integer, parameter :: nGC_93 = 98
  integer, parameter :: nGC_92 = 99
  integer, parameter :: nGC_91 = 100
  integer, parameter :: nGC_90 = 101
  integer, parameter :: nGC_75 = 102
  integer, parameter :: nGC_77 = 103
  integer, parameter :: nGC_76 = 104
  integer, parameter :: nGC_71 = 105
  integer, parameter :: nGC_70 = 106
  integer, parameter :: nGC_73 = 107
  integer, parameter :: nGC_72 = 108
  integer, parameter :: nGC_79 = 109
  integer, parameter :: nGC_78 = 110
  integer, parameter :: nGC_219 = 111
  integer, parameter :: nGC_217 = 112
  integer, parameter :: nGC_211 = 113
  integer, parameter :: nGC_213 = 114
  integer, parameter :: nGC_1427 = 115
  integer, parameter :: nGC_788 = 116
  integer, parameter :: nGC_789 = 117
  integer, parameter :: nGC_786 = 118
  integer, parameter :: nGC_787 = 119
  integer, parameter :: nGC_784 = 120
  integer, parameter :: nGC_785 = 121
  integer, parameter :: nGC_782 = 122
  integer, parameter :: nGC_783 = 123
  integer, parameter :: nGC_780 = 124
  integer, parameter :: nGC_781 = 125
  integer, parameter :: nGC_MI = 126
  integer, parameter :: nGC_MM = 127
  integer, parameter :: nGC_MC = 128
  integer, parameter :: nGC_MB = 129
  integer, parameter :: nGC_ME = 130
  integer, parameter :: nGC_MD = 131
  integer, parameter :: nGC_TS_GC_78_Hh = 132
  integer, parameter :: nGC_MZ = 133
  integer, parameter :: nGC_MS = 134
  integer, parameter :: nGC_MW = 135
  integer, parameter :: nGC_MU = 136
  integer, parameter :: nGC_MT = 137
  integer, parameter :: nGC_1290 = 138
  integer, parameter :: nGC_660 = 139
  integer, parameter :: nGC_88 = 140
  integer, parameter :: nGC_89 = 141
  integer, parameter :: nGC_80 = 142
  integer, parameter :: nGC_81 = 143
  integer, parameter :: nGC_82 = 144
  integer, parameter :: nGC_83 = 145
  integer, parameter :: nGC_84 = 146
  integer, parameter :: nGC_85 = 147
  integer, parameter :: nGC_86 = 148
  integer, parameter :: nGC_87 = 149
  integer, parameter :: nGC_66 = 150
  integer, parameter :: nGC_67 = 151
  integer, parameter :: nGC_64 = 152
  integer, parameter :: nGC_65 = 153
  integer, parameter :: nGC_62 = 154
  integer, parameter :: nGC_63 = 155
  integer, parameter :: nGC_60 = 156
  integer, parameter :: nGC_61 = 157
  integer, parameter :: nGC_TS_GC_70_Hl = 158
  integer, parameter :: nGC_68 = 159
  integer, parameter :: nGC_69 = 160
  integer, parameter :: nGC_209 = 161
  integer, parameter :: nGC_203 = 162
  integer, parameter :: nGC_207 = 163
  integer, parameter :: nGC_205 = 164
  integer, parameter :: nGC_716 = 165
  integer, parameter :: nGC_711 = 166
  integer, parameter :: nGC_713 = 167
  integer, parameter :: nGC_1661 = 168
  integer, parameter :: nGC_1660 = 169
  integer, parameter :: nGC_1665 = 170
  integer, parameter :: nGC_1664 = 171
  integer, parameter :: nGC_799 = 172
  integer, parameter :: nGC_798 = 173
  integer, parameter :: nGC_795 = 174
  integer, parameter :: nGC_794 = 175
  integer, parameter :: nGC_797 = 176
  integer, parameter :: nGC_796 = 177
  integer, parameter :: nGC_791 = 178
  integer, parameter :: nGC_790 = 179
  integer, parameter :: nGC_793 = 180
  integer, parameter :: nGC_792 = 181
  integer, parameter :: nGC_1445 = 182
  integer, parameter :: nGC_1444 = 183
  integer, parameter :: nGC_1441 = 184
  integer, parameter :: nGC_1440 = 185
  integer, parameter :: nGC_1443 = 186
  integer, parameter :: nGC_1442 = 187
  integer, parameter :: nGC_1289 = 188
  integer, parameter :: nGC_1288 = 189
  integer, parameter :: nGC_1287 = 190
  integer, parameter :: nGC_1286 = 191
  integer, parameter :: nGC_1285 = 192
  integer, parameter :: nGC_1284 = 193
  integer, parameter :: nGC_1283 = 194
  integer, parameter :: nGC_1282 = 195
  integer, parameter :: nGC_1281 = 196
  integer, parameter :: nGC_1280 = 197
  integer, parameter :: nGC_53 = 198
  integer, parameter :: nGC_52 = 199
  integer, parameter :: nGC_51 = 200
  integer, parameter :: nGC_50 = 201
  integer, parameter :: nGC_57 = 202
  integer, parameter :: nGC_56 = 203
  integer, parameter :: nGC_55 = 204
  integer, parameter :: nGC_54 = 205
  integer, parameter :: nGC_59 = 206
  integer, parameter :: nGC_58 = 207
  integer, parameter :: nGC_1470 = 208
  integer, parameter :: nGC_1706 = 209
  integer, parameter :: nGC_1705 = 210
  integer, parameter :: nGC_413 = 211
  integer, parameter :: nGC_634 = 212
  integer, parameter :: nGC_1675 = 213
  integer, parameter :: nGC_632 = 214
  integer, parameter :: nGC_633 = 215
  integer, parameter :: nGC_630 = 216
  integer, parameter :: nGC_631 = 217
  integer, parameter :: nGC_1678 = 218
  integer, parameter :: nGC_639 = 219
  integer, parameter :: nGC_MW_GF = 220
  integer, parameter :: nGC_1458 = 221
  integer, parameter :: nGC_7 = 222
  integer, parameter :: nGC_6 = 223
  integer, parameter :: nGC_1291 = 224
  integer, parameter :: nGC_TS_GC_93_Hh = 225
  integer, parameter :: nGC_TS_GC_66_Hh = 226
  integer, parameter :: nGC_TS_GC_66_Hl = 227
  integer, parameter :: nGC_TS_GC_79_Hl = 228
  integer, parameter :: nGC_TS_GC_79_Hh = 229
  integer, parameter :: nGC_48 = 230
  integer, parameter :: nGC_49 = 231
  integer, parameter :: nGC_44 = 232
  integer, parameter :: nGC_45 = 233
  integer, parameter :: nGC_46 = 234
  integer, parameter :: nGC_47 = 235
  integer, parameter :: nGC_40 = 236
  integer, parameter :: nGC_41 = 237
  integer, parameter :: nGC_42 = 238
  integer, parameter :: nGC_43 = 239
  integer, parameter :: nGC_409 = 240
  integer, parameter :: nGC_405 = 241
  integer, parameter :: nGC_624 = 242
  integer, parameter :: nGC_626 = 243
  integer, parameter :: nGC_621 = 244
  integer, parameter :: nGC_622 = 245
  integer, parameter :: nGC_1609 = 246
  integer, parameter :: nGC_1608 = 247
  integer, parameter :: nGC_629 = 248
  integer, parameter :: nGC_628 = 249
  integer, parameter :: nGC_1598 = 250
  integer, parameter :: nGC_1335 = 251
  integer, parameter :: nGC_1338 = 252
  integer, parameter :: nGC_39 = 253
  integer, parameter :: nGC_38 = 254
  integer, parameter :: nGC_31 = 255
  integer, parameter :: nGC_30 = 256
  integer, parameter :: nGC_33 = 257
  integer, parameter :: nGC_32 = 258
  integer, parameter :: nGC_35 = 259
  integer, parameter :: nGC_34 = 260
  integer, parameter :: nGC_37 = 261
  integer, parameter :: nGC_36 = 262
  integer, parameter :: nGC_MTA = 263
  integer, parameter :: nGC_439 = 264
  integer, parameter :: nGC_435 = 265
  integer, parameter :: nGC_437 = 266
  integer, parameter :: nGC_TS_GC_72_Hh = 267
  integer, parameter :: nGC_1326 = 268
  integer, parameter :: nGC_1320 = 269
  integer, parameter :: nGC_1328 = 270
  integer, parameter :: nGC_1329 = 271
  integer, parameter :: nGC_TS_GC_74_Hl = 272
  integer, parameter :: nGC_28 = 273
  integer, parameter :: nGC_29 = 274
  integer, parameter :: nGC_22 = 275
  integer, parameter :: nGC_23 = 276
  integer, parameter :: nGC_20 = 277
  integer, parameter :: nGC_21 = 278
  integer, parameter :: nGC_26 = 279
  integer, parameter :: nGC_27 = 280
  integer, parameter :: nGC_24 = 281
  integer, parameter :: nGC_25 = 282
  integer, parameter :: nGC_TS_GC_89_Hl = 283
  integer, parameter :: nGC_625 = 284
  integer, parameter :: nGC_748 = 285
  integer, parameter :: nGC_MHL = 286
  integer, parameter :: nGC_1600 = 287
  integer, parameter :: nGC_620 = 288
  integer, parameter :: nGC_623 = 289
  integer, parameter :: nGC_MHH = 290
  integer, parameter :: nGC_742 = 291
  integer, parameter :: nGC_743 = 292
  integer, parameter :: nGC_740 = 293
  integer, parameter :: nGC_747 = 294
  integer, parameter :: nGC_745 = 295
  integer, parameter :: nGC_427 = 296
  integer, parameter :: nGC_423 = 297
  integer, parameter :: nGC_429 = 298
  integer, parameter :: nGC_609 = 299
  integer, parameter :: nGC_608 = 300
  integer, parameter :: nGC_607 = 301
  integer, parameter :: nGC_1627 = 302
  integer, parameter :: nGC_1621 = 303
  integer, parameter :: nGC_1622 = 304
  integer, parameter :: nGC_1483 = 305
  integer, parameter :: nGC_1482 = 306
  integer, parameter :: nGC_1556 = 307
  integer, parameter :: nGC_1313 = 308
  integer, parameter :: nGC_1312 = 309
  integer, parameter :: nGC_1315 = 310
  integer, parameter :: nGC_1317 = 311
  integer, parameter :: nGC_1316 = 312
  integer, parameter :: nGC_1318 = 313
  integer, parameter :: nGC_17 = 314
  integer, parameter :: nGC_16 = 315
  integer, parameter :: nGC_15 = 316
  integer, parameter :: nGC_14 = 317
  integer, parameter :: nGC_13 = 318
  integer, parameter :: nGC_12 = 319
  integer, parameter :: nGC_11 = 320
  integer, parameter :: nGC_10 = 321
  integer, parameter :: nGC_19 = 322
  integer, parameter :: nGC_18 = 323
  integer, parameter :: nGC_TS_GC_83_Hh = 324
  integer, parameter :: nGC_453 = 325
  integer, parameter :: nGC_451 = 326
  integer, parameter :: nGC_455 = 327
  integer, parameter :: nGC_678 = 328
  integer, parameter :: nGC_679 = 329
  integer, parameter :: nGC_1632 = 330
  integer, parameter :: nGC_1633 = 331
  integer, parameter :: nGC_TS_GC_25_Hh = 332
  integer, parameter :: nGC_1637 = 333
  integer, parameter :: nGC_674 = 334
  integer, parameter :: nGC_1635 = 335
  integer, parameter :: nGC_1434 = 336
  integer, parameter :: nGC_1435 = 337
  integer, parameter :: nGC_1436 = 338
  integer, parameter :: nGC_1430 = 339
  integer, parameter :: nGC_1431 = 340
  integer, parameter :: nGC_704 = 341
  integer, parameter :: nGC_705 = 342
  integer, parameter :: nGC_702 = 343
  integer, parameter :: nGC_703 = 344
  integer, parameter :: nGC_700 = 345
  integer, parameter :: nGC_1345 = 346
  integer, parameter :: nGC_709 = 347
  integer, parameter :: nGC_TS_GC_19_Hl = 348
  integer, parameter :: nGC_TS_GC_99_Hl = 349
  integer, parameter :: nGC_1540 = 350
  integer, parameter :: nGC_1541 = 351
  integer, parameter :: nGC_1492 = 352
  integer, parameter :: nGC_1490 = 353
  integer, parameter :: nGC_858 = 354
  integer, parameter :: nGC_859 = 355
  integer, parameter :: nGC_856 = 356
  integer, parameter :: nGC_857 = 357
  integer, parameter :: nGC_854 = 358
  integer, parameter :: nGC_855 = 359
  integer, parameter :: nGC_852 = 360
  integer, parameter :: nGC_853 = 361
  integer, parameter :: nGC_850 = 362
  integer, parameter :: nGC_851 = 363
  integer, parameter :: nGC_1308 = 364
  integer, parameter :: nGC_1309 = 365
  integer, parameter :: nGC_1307 = 366
  integer, parameter :: nGC_TS_GC_65_Hh = 367
  integer, parameter :: nGC_1301 = 368
  integer, parameter :: nGC_1216 = 369
  integer, parameter :: nGC_1630 = 370
  integer, parameter :: nGC_TS_GC_73_Hl = 371
  integer, parameter :: nGC_TS_GC_17_Hl = 372
  integer, parameter :: nGC_721 = 373
  integer, parameter :: nGC_722 = 374
  integer, parameter :: nGC_723 = 375
  integer, parameter :: nGC_726 = 376
  integer, parameter :: nGC_1147 = 377
  integer, parameter :: nGC_1337 = 378
  integer, parameter :: nGC_1336 = 379
  integer, parameter :: nGC_TS_GC_57_Hh = 380
  integer, parameter :: nGC_441 = 381
  integer, parameter :: nGC_443 = 382
  integer, parameter :: nGC_445 = 383
  integer, parameter :: nGC_447 = 384
  integer, parameter :: nGC_449 = 385
  integer, parameter :: nGC_283 = 386
  integer, parameter :: nGC_281 = 387
  integer, parameter :: nGC_669 = 388
  integer, parameter :: nGC_668 = 389
  integer, parameter :: nGC_661 = 390
  integer, parameter :: nGC_1232 = 391
  integer, parameter :: nGC_663 = 392
  integer, parameter :: nGC_662 = 393
  integer, parameter :: nGC_665 = 394
  integer, parameter :: nGC_664 = 395
  integer, parameter :: nGC_667 = 396
  integer, parameter :: nGC_666 = 397
  integer, parameter :: nGC_1801 = 398
  integer, parameter :: nGC_715 = 399
  integer, parameter :: nGC_714 = 400
  integer, parameter :: nGC_717 = 401
  integer, parameter :: nGC_710 = 402
  integer, parameter :: nGC_712 = 403
  integer, parameter :: nGC_719 = 404
  integer, parameter :: nGC_718 = 405
  integer, parameter :: nGC_1793 = 406
  integer, parameter :: nGC_1792 = 407
  integer, parameter :: nGC_1570 = 408
  integer, parameter :: nGC_1573 = 409
  integer, parameter :: nGC_1572 = 410
  integer, parameter :: nGC_1574 = 411
  integer, parameter :: nGC_1577 = 412
  integer, parameter :: nGC_1578 = 413
  integer, parameter :: nGC_124 = 414
  integer, parameter :: nGC_122 = 415
  integer, parameter :: nGC_123 = 416
  integer, parameter :: nGC_120 = 417
  integer, parameter :: nGC_121 = 418
  integer, parameter :: nGC_849 = 419
  integer, parameter :: nGC_848 = 420
  integer, parameter :: nGC_845 = 421
  integer, parameter :: nGC_844 = 422
  integer, parameter :: nGC_847 = 423
  integer, parameter :: nGC_846 = 424
  integer, parameter :: nGC_841 = 425
  integer, parameter :: nGC_840 = 426
  integer, parameter :: nGC_843 = 427
  integer, parameter :: nGC_842 = 428
  integer, parameter :: nGC_I = 429
  integer, parameter :: nGC_1207 = 430
  integer, parameter :: nGC_1206 = 431
  integer, parameter :: nGC_1205 = 432
  integer, parameter :: nGC_1200 = 433
  integer, parameter :: nGC_MMW_GF = 434
  integer, parameter :: nGC_TS_GC_24_Hh = 435
  integer, parameter :: nGC_627 = 436
  integer, parameter :: nGC_277 = 437
  integer, parameter :: nGC_275 = 438
  integer, parameter :: nGC_271 = 439
  integer, parameter :: nGC_MZ_GF = 440
  integer, parameter :: nGC_720 = 441
  integer, parameter :: nGC_TS_GC_67_Hl = 442
  integer, parameter :: nGC_724 = 443
  integer, parameter :: nGC_725 = 444
  integer, parameter :: nGC_1146 = 445
  integer, parameter :: nGC_727 = 446
  integer, parameter :: nGC_728 = 447
  integer, parameter :: nGC_729 = 448
  integer, parameter :: nGC_1786 = 449
  integer, parameter :: nGC_1787 = 450
  integer, parameter :: nGC_1785 = 451
  integer, parameter :: nGC_1788 = 452
  integer, parameter :: nGC_654 = 453
  integer, parameter :: nGC_655 = 454
  integer, parameter :: nGC_656 = 455
  integer, parameter :: nGC_657 = 456
  integer, parameter :: nGC_650 = 457
  integer, parameter :: nGC_651 = 458
  integer, parameter :: nGC_652 = 459
  integer, parameter :: nGC_653 = 460
  integer, parameter :: nGC_658 = 461
  integer, parameter :: nGC_659 = 462
  integer, parameter :: nGC_TS_GC_98_Hh = 463
  integer, parameter :: nGC_1568 = 464
  integer, parameter :: nGC_1569 = 465
  integer, parameter :: nGC_1566 = 466
  integer, parameter :: nGC_1565 = 467
  integer, parameter :: nGC_1638 = 468
  integer, parameter :: nGC_1639 = 469
  integer, parameter :: nGC_870 = 470
  integer, parameter :: nGC_875 = 471
  integer, parameter :: nGC_876 = 472
  integer, parameter :: nGC_1360 = 473
  integer, parameter :: nGC_1362 = 474
  integer, parameter :: nGC_1363 = 475
  integer, parameter :: nGC_1364 = 476
  integer, parameter :: nGC_672 = 477
  integer, parameter :: nGC_673 = 478
  integer, parameter :: nGC_670 = 479
  integer, parameter :: nGC_671 = 480
  integer, parameter :: nGC_676 = 481
  integer, parameter :: nGC_677 = 482
  integer, parameter :: nGC_TS_GC_25_Hl = 483
  integer, parameter :: nGC_675 = 484
  integer, parameter :: nGC_3 = 485
  integer, parameter :: nGC_1215 = 486
  integer, parameter :: nGC_1 = 487
  integer, parameter :: nGC_4 = 488
  integer, parameter :: nGC_9 = 489
  integer, parameter :: nGC_8 = 490
  integer, parameter :: nGC_1219 = 491
  integer, parameter :: nGC_TS_GC_34_Hh = 492
  integer, parameter :: nGC_269 = 493
  integer, parameter :: nGC_265 = 494
  integer, parameter :: nGC_263 = 495
  integer, parameter :: nGC_706 = 496
  integer, parameter :: nGC_707 = 497
  integer, parameter :: nGC_1122 = 498
  integer, parameter :: nGC_701 = 499
  integer, parameter :: nGC_1214 = 500
  integer, parameter :: nGC_739 = 501
  integer, parameter :: nGC_2 = 502
  integer, parameter :: nGC_737 = 503
  integer, parameter :: nGC_736 = 504
  integer, parameter :: nGC_734 = 505
  integer, parameter :: nGC_732 = 506
  integer, parameter :: nGC_731 = 507
  integer, parameter :: nGC_730 = 508
  integer, parameter :: nGC_708 = 509
  integer, parameter :: nGC_1778 = 510
  integer, parameter :: nGC_1777 = 511
  integer, parameter :: nGC_1776 = 512
  integer, parameter :: nGC_1775 = 513
  integer, parameter :: nGC_1774 = 514
  integer, parameter :: nGC_1771 = 515
  integer, parameter :: nGC_1770 = 516
  integer, parameter :: nGC_5 = 517
  integer, parameter :: nGC_1213 = 518
  integer, parameter :: nGC_643 = 519
  integer, parameter :: nGC_642 = 520
  integer, parameter :: nGC_641 = 521
  integer, parameter :: nGC_640 = 522
  integer, parameter :: nGC_647 = 523
  integer, parameter :: nGC_646 = 524
  integer, parameter :: nGC_645 = 525
  integer, parameter :: nGC_644 = 526
  integer, parameter :: nGC_649 = 527
  integer, parameter :: nGC_648 = 528
  integer, parameter :: nGC_1518 = 529
  integer, parameter :: nGC_TS_GC_23_Hl = 530
  integer, parameter :: nGC_1517 = 531
  integer, parameter :: nGC_1516 = 532
  integer, parameter :: nGC_1680 = 533
  integer, parameter :: nGC_TS_GC_46_Hl = 534
  integer, parameter :: nGC_867 = 535
  integer, parameter :: nGC_866 = 536
  integer, parameter :: nGC_865 = 537
  integer, parameter :: nGC_864 = 538
  integer, parameter :: nGC_863 = 539
  integer, parameter :: nGC_862 = 540
  integer, parameter :: nGC_861 = 541
  integer, parameter :: nGC_860 = 542
  integer, parameter :: nGC_869 = 543
  integer, parameter :: nGC_868 = 544
  integer, parameter :: nGC_1355 = 545
  integer, parameter :: nGC_1426 = 546
  integer, parameter :: nGC_1357 = 547
  integer, parameter :: nGC_1356 = 548
  integer, parameter :: nGC_1351 = 549
  integer, parameter :: nGC_1353 = 550
  integer, parameter :: nGC_1352 = 551
  integer, parameter :: nGC_1359 = 552
  integer, parameter :: nGC_1358 = 553
  integer, parameter :: nGC_1429 = 554
  integer, parameter :: nGC_1199 = 555
  integer, parameter :: nGC_1221 = 556
  integer, parameter :: nGC_1220 = 557
  integer, parameter :: nGC_1223 = 558
  integer, parameter :: nGC_1222 = 559
  integer, parameter :: nGC_1224 = 560
  integer, parameter :: nGC_1227 = 561
  integer, parameter :: nGC_1226 = 562
  integer, parameter :: nGC_1229 = 563
  integer, parameter :: nGC_1228 = 564
  integer, parameter :: nGC_TS_GC_21_Hl = 565
  integer, parameter :: nGC_241 = 566
  integer, parameter :: nGC_249 = 567
  integer, parameter :: nGC_1012 = 568
  integer, parameter :: nGC_1013 = 569
  integer, parameter :: nGC_1014 = 570
  integer, parameter :: nGC_1015 = 571
  integer, parameter :: nGC_259 = 572
  integer, parameter :: nGC_251 = 573
  integer, parameter :: nGC_253 = 574
  integer, parameter :: nGC_255 = 575
  integer, parameter :: nGC_749 = 576
  integer, parameter :: nGC_1163 = 577
  integer, parameter :: nGC_741 = 578
  integer, parameter :: nGC_746 = 579
  integer, parameter :: nGC_744 = 580
  integer, parameter :: nGC_1769 = 581
  integer, parameter :: nGC_1764 = 582
  integer, parameter :: nGC_1765 = 583
  integer, parameter :: nGC_1767 = 584
  integer, parameter :: nGC_1760 = 585
  integer, parameter :: nGC_1761 = 586
  integer, parameter :: nGC_1762 = 587
  integer, parameter :: nGC_100 = 588
  integer, parameter :: nGC_101 = 589
  integer, parameter :: nGC_102 = 590
  integer, parameter :: nGC_103 = 591
  integer, parameter :: nGC_104 = 592
  integer, parameter :: nGC_105 = 593
  integer, parameter :: nGC_106 = 594
  integer, parameter :: nGC_107 = 595
  integer, parameter :: nGC_108 = 596
  integer, parameter :: nGC_109 = 597
  integer, parameter :: nGC_1508 = 598
  integer, parameter :: nGC_1509 = 599
  integer, parameter :: nGC_1500 = 600
  integer, parameter :: nGC_1502 = 601
  integer, parameter :: nGC_1505 = 602
  integer, parameter :: nGC_1507 = 603
  integer, parameter :: nGC_1698 = 604
  integer, parameter :: nGC_1699 = 605
  integer, parameter :: nGC_1690 = 606
  integer, parameter :: nGC_1691 = 607
  integer, parameter :: nGC_1692 = 608
  integer, parameter :: nGC_1694 = 609
  integer, parameter :: nGC_1695 = 610
  integer, parameter :: nGC_1697 = 611
  integer, parameter :: nGC_812 = 612
  integer, parameter :: nGC_813 = 613
  integer, parameter :: nGC_810 = 614
  integer, parameter :: nGC_811 = 615
  integer, parameter :: nGC_816 = 616
  integer, parameter :: nGC_817 = 617
  integer, parameter :: nGC_814 = 618
  integer, parameter :: nGC_815 = 619
  integer, parameter :: nGC_818 = 620
  integer, parameter :: nGC_819 = 621
  integer, parameter :: nGC_1342 = 622
  integer, parameter :: nGC_1343 = 623
  integer, parameter :: nGC_1340 = 624
  integer, parameter :: nGC_1437 = 625
  integer, parameter :: nGC_1346 = 626
  integer, parameter :: nGC_1347 = 627
  integer, parameter :: nGC_1432 = 628
  integer, parameter :: nGC_1433 = 629
  integer, parameter :: nGC_1348 = 630
  integer, parameter :: nGC_1438 = 631
  integer, parameter :: nGC_1439 = 632
  integer, parameter :: nGC_1188 = 633
  integer, parameter :: nGC_1189 = 634
  integer, parameter :: nGC_928 = 635
  integer, parameter :: nGC_929 = 636
  integer, parameter :: nGC_926 = 637
  integer, parameter :: nGC_927 = 638
  integer, parameter :: nGC_924 = 639
  integer, parameter :: nGC_925 = 640
  integer, parameter :: nGC_922 = 641
  integer, parameter :: nGC_923 = 642
  integer, parameter :: nGC_1238 = 643
  integer, parameter :: nGC_1239 = 644
  integer, parameter :: nGC_1236 = 645
  integer, parameter :: nGC_1237 = 646
  integer, parameter :: nGC_1234 = 647
  integer, parameter :: nGC_1129 = 648
  integer, parameter :: nGC_1230 = 649
  integer, parameter :: nGC_1231 = 650
  integer, parameter :: nGC_610 = 651
  integer, parameter :: nGC_611 = 652
  integer, parameter :: nGC_612 = 653
  integer, parameter :: nGC_613 = 654
  integer, parameter :: nGC_614 = 655
  integer, parameter :: nGC_615 = 656
  integer, parameter :: nGC_616 = 657
  integer, parameter :: nGC_617 = 658
  integer, parameter :: nGC_618 = 659
  integer, parameter :: nGC_1671 = 660
  integer, parameter :: nGC_619 = 661
  integer, parameter :: nGC_1300 = 662
  integer, parameter :: nGC_TS_GC_88_Hh = 663
  integer, parameter :: nGC_TS_GC_35_Hh = 664
  integer, parameter :: nGC_TS_GC_75_Hh = 665
  integer, parameter :: nGC_247 = 666
  integer, parameter :: nGC_245 = 667
  integer, parameter :: nGC_TS_GC_21_Hh = 668
  integer, parameter :: nGC_TS_GC_76_Hl = 669
  integer, parameter :: nGC_TS_GC_76_Hh = 670
  integer, parameter :: nGC_759 = 671
  integer, parameter :: nGC_758 = 672
  integer, parameter :: nGC_751 = 673
  integer, parameter :: nGC_750 = 674
  integer, parameter :: nGC_753 = 675
  integer, parameter :: nGC_752 = 676
  integer, parameter :: nGC_755 = 677
  integer, parameter :: nGC_754 = 678
  integer, parameter :: nGC_757 = 679
  integer, parameter :: nGC_756 = 680
  integer, parameter :: nGC_1759 = 681
  integer, parameter :: nGC_1750 = 682
  integer, parameter :: nGC_1753 = 683
  integer, parameter :: nGC_1752 = 684
  integer, parameter :: nGC_1754 = 685
  integer, parameter :: nGC_1757 = 686
  integer, parameter :: nGC_119 = 687
  integer, parameter :: nGC_118 = 688
  integer, parameter :: nGC_117 = 689
  integer, parameter :: nGC_116 = 690
  integer, parameter :: nGC_115 = 691
  integer, parameter :: nGC_114 = 692
  integer, parameter :: nGC_113 = 693
  integer, parameter :: nGC_112 = 694
  integer, parameter :: nGC_111 = 695
  integer, parameter :: nGC_110 = 696
  integer, parameter :: nGC_1534 = 697
  integer, parameter :: nGC_1536 = 698
  integer, parameter :: nGC_1531 = 699
  integer, parameter :: nGC_1530 = 700
  integer, parameter :: nGC_1538 = 701
  integer, parameter :: nGC_1108 = 702
  integer, parameter :: nGC_1109 = 703
  integer, parameter :: nGC_1105 = 704
  integer, parameter :: nGC_1106 = 705
  integer, parameter :: nGC_1107 = 706
  integer, parameter :: nGC_1100 = 707
  integer, parameter :: nGC_1101 = 708
  integer, parameter :: nGC_1103 = 709
  integer, parameter :: nGC_1583 = 710
  integer, parameter :: nGC_1584 = 711
  integer, parameter :: nGC_1585 = 712
  integer, parameter :: nGC_1586 = 713
  integer, parameter :: nGC_TS_GC_47_Hl = 714
  integer, parameter :: nGC_1038 = 715
  integer, parameter :: nGC_1039 = 716
  integer, parameter :: nGC_1030 = 717
  integer, parameter :: nGC_1031 = 718
  integer, parameter :: nGC_1033 = 719
  integer, parameter :: nGC_1034 = 720
  integer, parameter :: nGC_1035 = 721
  integer, parameter :: nGC_1036 = 722
  integer, parameter :: nGC_1037 = 723
  integer, parameter :: nGC_1098 = 724
  integer, parameter :: nGC_939 = 725
  integer, parameter :: nGC_938 = 726
  integer, parameter :: nGC_934 = 727
  integer, parameter :: nGC_937 = 728
  integer, parameter :: nGC_936 = 729
  integer, parameter :: nGC_930 = 730
  integer, parameter :: nGC_1324 = 731
  integer, parameter :: nGC_1325 = 732
  integer, parameter :: nGC_1249 = 733
  integer, parameter :: nGC_1248 = 734
  integer, parameter :: nGC_1321 = 735
  integer, parameter :: nGC_1322 = 736
  integer, parameter :: nGC_1323 = 737
  integer, parameter :: nGC_1243 = 738
  integer, parameter :: nGC_1242 = 739
  integer, parameter :: nGC_1241 = 740
  integer, parameter :: nGC_1240 = 741
  integer, parameter :: nGC_1247 = 742
  integer, parameter :: nGC_1246 = 743
  integer, parameter :: nGC_1245 = 744
  integer, parameter :: nGC_1244 = 745
  integer, parameter :: nGC_1294 = 746
  integer, parameter :: nGC_TS_GC_22_Hh = 747
  integer, parameter :: nGC_1719 = 748
  integer, parameter :: nGC_1718 = 749
  integer, parameter :: nGC_TS_GC_22_Hl = 750
  integer, parameter :: nGC_1715 = 751
  integer, parameter :: nGC_1717 = 752
  integer, parameter :: nGC_1716 = 753
  integer, parameter :: nGC_1711 = 754
  integer, parameter :: nGC_1713 = 755
  integer, parameter :: nGC_980 = 756
  integer, parameter :: nGC_981 = 757
  integer, parameter :: nGC_982 = 758
  integer, parameter :: nGC_983 = 759
  integer, parameter :: nGC_984 = 760
  integer, parameter :: nGC_985 = 761
  integer, parameter :: nGC_988 = 762
  integer, parameter :: nGC_989 = 763
  integer, parameter :: nGC_TS_GC_9_Hh = 764
  integer, parameter :: nGC_1140 = 765
  integer, parameter :: nGC_1141 = 766
  integer, parameter :: nGC_1142 = 767
  integer, parameter :: nGC_1143 = 768
  integer, parameter :: nGC_1144 = 769
  integer, parameter :: nGC_1145 = 770
  integer, parameter :: nGC_1669 = 771
  integer, parameter :: nGC_1663 = 772
  integer, parameter :: nGC_1667 = 773
  integer, parameter :: nGC_1666 = 774
  integer, parameter :: nGC_TS_GC_118_Hh = 775
  integer, parameter :: nGC_1311 = 776
  integer, parameter :: nGC_1447 = 777
  integer, parameter :: nGC_1446 = 778
  integer, parameter :: nGC_1310 = 779
  integer, parameter :: nGC_TS_GC_69_Hh = 780
  integer, parameter :: nGC_1448 = 781
  integer, parameter :: nGC_1567 = 782
  integer, parameter :: nGC_1562 = 783
  integer, parameter :: nGC_1560 = 784
  integer, parameter :: nGC_1314 = 785
  integer, parameter :: nGC_1019 = 786
  integer, parameter :: nGC_1319 = 787
  integer, parameter :: nGC_1005 = 788
  integer, parameter :: nGC_970 = 789
  integer, parameter :: nGC_973 = 790
  integer, parameter :: nGC_977 = 791
  integer, parameter :: nGC_979 = 792
  integer, parameter :: nGC_878 = 793
  integer, parameter :: nGC_879 = 794
  integer, parameter :: nGC_871 = 795
  integer, parameter :: nGC_872 = 796
  integer, parameter :: nGC_873 = 797
  integer, parameter :: nGC_874 = 798
  integer, parameter :: nGC_877 = 799
  integer, parameter :: nGC_1041 = 800
  integer, parameter :: nGC_1040 = 801
  integer, parameter :: nGC_1043 = 802
  integer, parameter :: nGC_1042 = 803
  integer, parameter :: nGC_1045 = 804
  integer, parameter :: nGC_1044 = 805
  integer, parameter :: nGC_1047 = 806
  integer, parameter :: nGC_1048 = 807
  integer, parameter :: nGC_1007 = 808
  integer, parameter :: nGC_425 = 809
  integer, parameter :: nGC_1217 = 810
  integer, parameter :: nGC_1210 = 811
  integer, parameter :: nGC_1211 = 812
  integer, parameter :: nGC_421 = 813
  integer, parameter :: nGC_1218 = 814
  integer, parameter :: nGC_1361 = 815
  integer, parameter :: nGC_1746 = 816
  integer, parameter :: nGC_1745 = 817
  integer, parameter :: nGC_1743 = 818
  integer, parameter :: nGC_1740 = 819
  integer, parameter :: nGC_1741 = 820
  integer, parameter :: nGC_1625 = 821
  integer, parameter :: nGC_1624 = 822
  integer, parameter :: nGC_1749 = 823
  integer, parameter :: nGC_1488 = 824
  integer, parameter :: nGC_1521 = 825
  integer, parameter :: nGC_1526 = 826
  integer, parameter :: nGC_1527 = 827
  integer, parameter :: nGC_1524 = 828
  integer, parameter :: nGC_1525 = 829
  integer, parameter :: nGC_1481 = 830
  integer, parameter :: nGC_1480 = 831
  integer, parameter :: nGC_1528 = 832
  integer, parameter :: nGC_1529 = 833
  integer, parameter :: nGC_1484 = 834
  integer, parameter :: nGC_1487 = 835
  integer, parameter :: nGC_1138 = 836
  integer, parameter :: nGC_1131 = 837
  integer, parameter :: nGC_1130 = 838
  integer, parameter :: nGC_1133 = 839
  integer, parameter :: nGC_1132 = 840
  integer, parameter :: nGC_1135 = 841
  integer, parameter :: nGC_1134 = 842
  integer, parameter :: nGC_1137 = 843
  integer, parameter :: nGC_1136 = 844
  integer, parameter :: nGC_1555 = 845
  integer, parameter :: nGC_1552 = 846
  integer, parameter :: nGC_1551 = 847
  integer, parameter :: nGC_1009 = 848
  integer, parameter :: nGC_1008 = 849
  integer, parameter :: nGC_1558 = 850
  integer, parameter :: nGC_909 = 851
  integer, parameter :: nGC_900 = 852
  integer, parameter :: nGC_904 = 853
  integer, parameter :: nGC_905 = 854
  integer, parameter :: nGC_1258 = 855
  integer, parameter :: nGC_1259 = 856
  integer, parameter :: nGC_TS_GC_108_Hh = 857
  integer, parameter :: nGC_1250 = 858
  integer, parameter :: nGC_1251 = 859
  integer, parameter :: nGC_1252 = 860
  integer, parameter :: nGC_1253 = 861
  integer, parameter :: nGC_1254 = 862
  integer, parameter :: nGC_1255 = 863
  integer, parameter :: nGC_1256 = 864
  integer, parameter :: nGC_1257 = 865
  integer, parameter :: nGC_1709 = 866
  integer, parameter :: nGC_1702 = 867
  integer, parameter :: nGC_1700 = 868
  integer, parameter :: nGC_1701 = 869
  integer, parameter :: nGC_1707 = 870
  integer, parameter :: nGC_1704 = 871
  integer, parameter :: nGC_1123 = 872
  integer, parameter :: nGC_1503 = 873
  integer, parameter :: nGC_999 = 874
  integer, parameter :: nGC_997 = 875
  integer, parameter :: nGC_996 = 876
  integer, parameter :: nGC_995 = 877
  integer, parameter :: nGC_994 = 878
  integer, parameter :: nGC_993 = 879
  integer, parameter :: nGC_990 = 880
  integer, parameter :: nGC_TS_GC_104_Hl = 881
  integer, parameter :: nGC_419 = 882
  integer, parameter :: nGC_417 = 883
  integer, parameter :: nGC_1676 = 884
  integer, parameter :: nGC_1672 = 885
  integer, parameter :: nGC_1673 = 886
  integer, parameter :: nGC_1128 = 887
  integer, parameter :: nGC_1779 = 888
  integer, parameter :: nGC_1773 = 889
  integer, parameter :: nGC_1212 = 890
  integer, parameter :: nGC_1452 = 891
  integer, parameter :: nGC_1450 = 892
  integer, parameter :: nGC_1451 = 893
  integer, parameter :: nGC_1456 = 894
  integer, parameter :: nGC_1454 = 895
  integer, parameter :: nGC_1455 = 896
  integer, parameter :: nGC_1459 = 897
  integer, parameter :: nGC_1519 = 898
  integer, parameter :: nGC_TS_GC_28_Hh = 899
  integer, parameter :: nGC_1513 = 900
  integer, parameter :: nGC_1179 = 901
  integer, parameter :: nGC_TS_GC_123_Hh = 902
  integer, parameter :: nGC_1515 = 903
  integer, parameter :: nGC_1688 = 904
  integer, parameter :: nGC_1683 = 905
  integer, parameter :: nGC_1682 = 906
  integer, parameter :: nGC_1681 = 907
  integer, parameter :: nGC_TS_GC_48_Hl = 908
  integer, parameter :: nGC_1686 = 909
  integer, parameter :: nGC_1685 = 910
  integer, parameter :: nGC_948 = 911
  integer, parameter :: nGC_949 = 912
  integer, parameter :: nGC_944 = 913
  integer, parameter :: nGC_945 = 914
  integer, parameter :: nGC_946 = 915
  integer, parameter :: nGC_947 = 916
  integer, parameter :: nGC_940 = 917
  integer, parameter :: nGC_941 = 918
  integer, parameter :: nGC_942 = 919
  integer, parameter :: nGC_943 = 920
  integer, parameter :: nGC_1354 = 921
  integer, parameter :: nGC_1327 = 922
  integer, parameter :: nGC_1298 = 923
  integer, parameter :: nGC_1299 = 924
  integer, parameter :: nGC_TS_GC_30_Hl = 925
  integer, parameter :: nGC_1295 = 926
  integer, parameter :: nGC_1296 = 927
  integer, parameter :: nGC_1297 = 928
  integer, parameter :: nGC_TS_GC_30_Hh = 929
  integer, parameter :: nGC_1292 = 930
  integer, parameter :: nGC_1293 = 931
  integer, parameter :: nGC_1058 = 932
  integer, parameter :: nGC_1059 = 933
  integer, parameter :: nGC_1056 = 934
  integer, parameter :: nGC_1057 = 935
  integer, parameter :: nGC_1054 = 936
  integer, parameter :: nGC_1055 = 937
  integer, parameter :: nGC_1052 = 938
  integer, parameter :: nGC_1053 = 939
  integer, parameter :: nGC_1050 = 940
  integer, parameter :: nGC_1051 = 941
  integer, parameter :: nGC_1628 = 942
  integer, parameter :: nGC_898 = 943
  integer, parameter :: nGC_899 = 944
  integer, parameter :: nGC_1225 = 945
  integer, parameter :: nGC_892 = 946
  integer, parameter :: nGC_893 = 947
  integer, parameter :: nGC_890 = 948
  integer, parameter :: nGC_891 = 949
  integer, parameter :: nGC_896 = 950
  integer, parameter :: nGC_897 = 951
  integer, parameter :: nGC_894 = 952
  integer, parameter :: nGC_895 = 953
  integer, parameter :: nGC_TS_GC_113_Hh = 954
  integer, parameter :: nGC_1733 = 955
  integer, parameter :: nGC_1732 = 956
  integer, parameter :: nGC_1731 = 957
  integer, parameter :: nGC_1730 = 958
  integer, parameter :: nGC_1736 = 959
  integer, parameter :: nGC_1734 = 960
  integer, parameter :: nGC_1739 = 961
  integer, parameter :: nGC_1738 = 962
  integer, parameter :: nGC_1636 = 963
  integer, parameter :: nGC_1623 = 964
  integer, parameter :: nGC_TS_GC_124_Hl = 965
  integer, parameter :: nGC_TS_GC_20_Hh = 966
  integer, parameter :: nGC_TS_GC_114_Hl = 967
  integer, parameter :: nGC_1126 = 968
  integer, parameter :: nGC_1127 = 969
  integer, parameter :: nGC_1124 = 970
  integer, parameter :: nGC_1125 = 971
  integer, parameter :: nGC_1089 = 972
  integer, parameter :: nGC_1088 = 973
  integer, parameter :: nGC_1121 = 974
  integer, parameter :: nGC_1085 = 975
  integer, parameter :: nGC_1087 = 976
  integer, parameter :: nGC_1086 = 977
  integer, parameter :: nGC_1081 = 978
  integer, parameter :: nGC_1080 = 979
  integer, parameter :: nGC_1083 = 980
  integer, parameter :: nGC_1082 = 981
  integer, parameter :: nGC_1549 = 982
  integer, parameter :: nGC_1649 = 983
  integer, parameter :: nGC_1648 = 984
  integer, parameter :: nGC_1647 = 985
  integer, parameter :: nGC_1646 = 986
  integer, parameter :: nGC_1645 = 987
  integer, parameter :: nGC_1643 = 988
  integer, parameter :: nGC_1642 = 989
  integer, parameter :: nGC_1641 = 990
  integer, parameter :: nGC_1640 = 991
  integer, parameter :: nGC_TS_GC_84_Hl = 992
  integer, parameter :: nGC_1011 = 993
  integer, parameter :: nGC_1544 = 994
  integer, parameter :: nGC_1545 = 995
  integer, parameter :: nGC_1468 = 996
  integer, parameter :: nGC_1016 = 997
  integer, parameter :: nGC_1542 = 998
  integer, parameter :: nGC_1543 = 999
  integer, parameter :: nGC_1463 = 1000
  integer, parameter :: nGC_1462 = 1001
  integer, parameter :: nGC_1461 = 1002
  integer, parameter :: nGC_1460 = 1003
  integer, parameter :: nGC_1467 = 1004
  integer, parameter :: nGC_1466 = 1005
  integer, parameter :: nGC_1546 = 1006
  integer, parameter :: nGC_1497 = 1007
  integer, parameter :: nGC_1494 = 1008
  integer, parameter :: nGC_1191 = 1009
  integer, parameter :: nGC_1493 = 1010
  integer, parameter :: nGC_1498 = 1011
  integer, parameter :: nGC_917 = 1012
  integer, parameter :: nGC_916 = 1013
  integer, parameter :: nGC_915 = 1014
  integer, parameter :: nGC_914 = 1015
  integer, parameter :: nGC_913 = 1016
  integer, parameter :: nGC_912 = 1017
  integer, parameter :: nGC_911 = 1018
  integer, parameter :: nGC_910 = 1019
  integer, parameter :: nGC_919 = 1020
  integer, parameter :: nGC_918 = 1021
  integer, parameter :: nGC_1267 = 1022
  integer, parameter :: nGC_1261 = 1023
  integer, parameter :: nGC_1260 = 1024
  integer, parameter :: nGC_1262 = 1025
  integer, parameter :: nGC_1269 = 1026
  integer, parameter :: nGC_1268 = 1027
  integer, parameter :: nGC_1067 = 1028
  integer, parameter :: nGC_1066 = 1029
  integer, parameter :: nGC_1065 = 1030
  integer, parameter :: nGC_1064 = 1031
  integer, parameter :: nGC_1063 = 1032
  integer, parameter :: nGC_1062 = 1033
  integer, parameter :: nGC_1061 = 1034
  integer, parameter :: nGC_1060 = 1035
  integer, parameter :: nGC_1306 = 1036
  integer, parameter :: nGC_1548 = 1037
  integer, parameter :: nGC_1304 = 1038
  integer, parameter :: nGC_1305 = 1039
  integer, parameter :: nGC_1302 = 1040
  integer, parameter :: nGC_1303 = 1041
  integer, parameter :: nGC_1069 = 1042
  integer, parameter :: nGC_1068 = 1043
  integer, parameter :: nGC_1602 = 1044
  integer, parameter :: nGC_1601 = 1045
  integer, parameter :: nGC_1607 = 1046
  integer, parameter :: nGC_1606 = 1047
  integer, parameter :: nGC_1605 = 1048
  integer, parameter :: nGC_1604 = 1049
  integer, parameter :: nGC_TS_GC_40_Hh = 1050
  integer, parameter :: nGC_1164 = 1051
  integer, parameter :: nGC_1768 = 1052
  integer, parameter :: nGC_1511 = 1053
  integer, parameter :: nGC_1763 = 1054
  integer, parameter :: nGC_1495 = 1055
  integer, parameter :: nGC_1514 = 1056
  integer, parameter :: nGC_TS_GC_119_Hl = 1057
  integer, parameter :: nGC_1119 = 1058
  integer, parameter :: nGC_1118 = 1059
  integer, parameter :: nGC_1117 = 1060
  integer, parameter :: nGC_1116 = 1061
  integer, parameter :: nGC_1115 = 1062
  integer, parameter :: nGC_1113 = 1063
  integer, parameter :: nGC_1112 = 1064
  integer, parameter :: nGC_1111 = 1065
  integer, parameter :: nGC_1110 = 1066
  integer, parameter :: nGC_1693 = 1067
  integer, parameter :: nGC_1696 = 1068
  integer, parameter :: nGC_1592 = 1069
  integer, parameter :: nGC_1591 = 1070
  integer, parameter :: nGC_1596 = 1071
  integer, parameter :: nGC_1594 = 1072
  integer, parameter :: nGC_958 = 1073
  integer, parameter :: nGC_953 = 1074
  integer, parameter :: nGC_952 = 1075
  integer, parameter :: nGC_951 = 1076
  integer, parameter :: nGC_950 = 1077
  integer, parameter :: nGC_957 = 1078
  integer, parameter :: nGC_956 = 1079
  integer, parameter :: nGC_955 = 1080
  integer, parameter :: nGC_954 = 1081
  integer, parameter :: nGC_1341 = 1082
  integer, parameter :: nGC_1344 = 1083
  integer, parameter :: nGC_1349 = 1084
  integer, parameter :: nGC_1029 = 1085
  integer, parameter :: nGC_1028 = 1086
  integer, parameter :: nGC_1023 = 1087
  integer, parameter :: nGC_1021 = 1088
  integer, parameter :: nGC_1027 = 1089
  integer, parameter :: nGC_1026 = 1090
  integer, parameter :: nGC_1025 = 1091
  integer, parameter :: nGC_1024 = 1092
  integer, parameter :: nGC_920 = 1093
  integer, parameter :: nGC_921 = 1094
  integer, parameter :: nGC_889 = 1095
  integer, parameter :: nGC_888 = 1096
  integer, parameter :: nGC_1334 = 1097
  integer, parameter :: nGC_1333 = 1098
  integer, parameter :: nGC_1332 = 1099
  integer, parameter :: nGC_1331 = 1100
  integer, parameter :: nGC_1330 = 1101
  integer, parameter :: nGC_881 = 1102
  integer, parameter :: nGC_880 = 1103
  integer, parameter :: nGC_882 = 1104
  integer, parameter :: nGC_1339 = 1105
  integer, parameter :: nGC_886 = 1106
  integer, parameter :: nGC_1720 = 1107
  integer, parameter :: nGC_1721 = 1108
  integer, parameter :: nGC_1722 = 1109
  integer, parameter :: nGC_1723 = 1110
  integer, parameter :: nGC_1724 = 1111
  integer, parameter :: nGC_1725 = 1112
  integer, parameter :: nGC_1726 = 1113
  integer, parameter :: nGC_1727 = 1114
  integer, parameter :: nGC_1729 = 1115
  integer, parameter :: nGC_1233 = 1116
  integer, parameter :: nGC_887 = 1117
  integer, parameter :: nGC_1235 = 1118
  integer, parameter :: nGC_1789 = 1119
  integer, parameter :: nGC_1809 = 1120
  integer, parameter :: nGC_1808 = 1121
  integer, parameter :: nGC_1804 = 1122
  integer, parameter :: nGC_1807 = 1123
  integer, parameter :: nGC_1800 = 1124
  integer, parameter :: nGC_1802 = 1125
  integer, parameter :: nGC_1099 = 1126
  integer, parameter :: nGC_1092 = 1127
  integer, parameter :: nGC_1093 = 1128
  integer, parameter :: nGC_1090 = 1129
  integer, parameter :: nGC_1091 = 1130
  integer, parameter :: nGC_1096 = 1131
  integer, parameter :: nGC_1094 = 1132
  integer, parameter :: nGC_1095 = 1133
  integer, parameter :: nGC_1794 = 1134
  integer, parameter :: nGC_1658 = 1135
  integer, parameter :: nGC_1659 = 1136
  integer, parameter :: nGC_TS_GC_61_Hl = 1137
  integer, parameter :: nGC_1654 = 1138
  integer, parameter :: nGC_1655 = 1139
  integer, parameter :: nGC_1656 = 1140
  integer, parameter :: nGC_1657 = 1141
  integer, parameter :: nGC_1650 = 1142
  integer, parameter :: nGC_1651 = 1143
  integer, parameter :: nGC_1652 = 1144
  integer, parameter :: nGC_1653 = 1145
  integer, parameter :: nGC_TS_GC_77_Hl = 1146
  integer, parameter :: nGC_1350 = 1147
  integer, parameter :: nGC_TS_GC_31_Hl = 1148
  integer, parameter :: nGC_1478 = 1149
  integer, parameter :: nGC_1479 = 1150
  integer, parameter :: nGC_1575 = 1151
  integer, parameter :: nGC_1576 = 1152
  integer, parameter :: nGC_1579 = 1153
  integer, parameter :: nGC_1471 = 1154
  integer, parameter :: nGC_1474 = 1155
  integer, parameter :: nGC_1476 = 1156
  integer, parameter :: nGC_962 = 1157
  integer, parameter :: nGC_963 = 1158
  integer, parameter :: nGC_960 = 1159
  integer, parameter :: nGC_961 = 1160
  integer, parameter :: nGC_966 = 1161
  integer, parameter :: nGC_967 = 1162
  integer, parameter :: nGC_964 = 1163
  integer, parameter :: nGC_965 = 1164
  integer, parameter :: nGC_968 = 1165
  integer, parameter :: nGC_969 = 1166
  integer, parameter :: nGC_1272 = 1167
  integer, parameter :: nGC_1273 = 1168
  integer, parameter :: nGC_1270 = 1169
  integer, parameter :: nGC_1271 = 1170
  integer, parameter :: nGC_1276 = 1171
  integer, parameter :: nGC_1277 = 1172
  integer, parameter :: nGC_1274 = 1173
  integer, parameter :: nGC_1275 = 1174
  integer, parameter :: nGC_1278 = 1175
  integer, parameter :: nGC_1279 = 1176
  integer, parameter :: nGC_1074 = 1177
  integer, parameter :: nGC_1075 = 1178
  integer, parameter :: nGC_1076 = 1179
  integer, parameter :: nGC_1077 = 1180
  integer, parameter :: nGC_1070 = 1181
  integer, parameter :: nGC_1072 = 1182
  integer, parameter :: nGC_1073 = 1183
  integer, parameter :: nGC_1190 = 1184
  integer, parameter :: nGC_1078 = 1185
  integer, parameter :: nGC_1079 = 1186
  integer, parameter :: nGC_1006 = 1187
  integer, parameter :: nGC_1001 = 1188
  integer, parameter :: nGC_1000 = 1189
  integer, parameter :: nGC_1018 = 1190
  integer, parameter :: nGC_1003 = 1191
  integer, parameter :: nGC_1002 = 1192
  integer, parameter :: nGC_TS_GC_18_Hl = 1193
  integer, parameter :: nGC_TS_GC_94_Hl = 1194
  integer, parameter :: nGC_TS_GC_18_Hh = 1195
  integer, parameter :: nGC_1204 = 1196
  integer, parameter :: nGC_1203 = 1197
  integer, parameter :: nGC_1202 = 1198
  integer, parameter :: nGC_1209 = 1199
  integer, parameter :: nGC_1208 = 1200
  integer, parameter :: nGC_431 = 1201
  integer, parameter :: nGC_433 = 1202
  integer, parameter :: nGC_1610 = 1203
  integer, parameter :: nGC_1611 = 1204
  integer, parameter :: nGC_1612 = 1205
  integer, parameter :: nGC_1613 = 1206
  integer, parameter :: nGC_1614 = 1207
  integer, parameter :: nGC_1615 = 1208
  integer, parameter :: nGC_1616 = 1209
  integer, parameter :: nGC_1617 = 1210
  integer, parameter :: nGC_1618 = 1211
  integer, parameter :: nGC_1619 = 1212
  integer, parameter :: nGC_TS_GC_103_Hh = 1213
  integer, parameter :: nGC_1758 = 1214
  integer, parameter :: nGC_1751 = 1215
  integer, parameter :: nGC_1755 = 1216
  integer, parameter :: nGC_1756 = 1217
  integer, parameter :: nGC_TS_GC_109_Hl = 1218
  integer, parameter :: nGC_1535 = 1219
  integer, parameter :: nGC_1747 = 1220
  integer, parameter :: nGC_1537 = 1221
  integer, parameter :: nGC_1742 = 1222
  integer, parameter :: nGC_1533 = 1223
  integer, parameter :: nGC_1532 = 1224
  integer, parameter :: nGC_1626 = 1225
  integer, parameter :: nGC_1539 = 1226
  integer, parameter :: nGC_1744 = 1227
  integer, parameter :: nGC_1748 = 1228
  integer, parameter :: nGC_1010 = 1229
  integer, parameter :: nGC_1104 = 1230
  integer, parameter :: nGC_1629 = 1231
  integer, parameter :: nGC_1620 = 1232
  integer, parameter :: nGC_1102 = 1233
  integer, parameter :: nGC_1184 = 1234
  integer, parameter :: nGC_1185 = 1235
  integer, parameter :: nGC_1186 = 1236
  integer, parameter :: nGC_1187 = 1237
  integer, parameter :: nGC_1180 = 1238
  integer, parameter :: nGC_1181 = 1239
  integer, parameter :: nGC_1182 = 1240
  integer, parameter :: nGC_1183 = 1241
  integer, parameter :: nGC_1022 = 1242
  integer, parameter :: nGC_1020 = 1243
  integer, parameter :: nGC_1772 = 1244
  integer, parameter :: nGC_1580 = 1245
  integer, parameter :: nGC_1581 = 1246
  integer, parameter :: nGC_1582 = 1247
  integer, parameter :: nGC_1587 = 1248
  integer, parameter :: nGC_1588 = 1249
  integer, parameter :: nGC_1589 = 1250
  integer, parameter :: nGC_1477 = 1251
  integer, parameter :: nGC_1489 = 1252
  integer, parameter :: nGC_1523 = 1253
  integer, parameter :: nGC_1520 = 1254
  integer, parameter :: nGC_1737 = 1255
  integer, parameter :: nGC_1735 = 1256
  integer, parameter :: nGC_1631 = 1257
  integer, parameter :: nGC_1485 = 1258
  integer, parameter :: nGC_1634 = 1259
  integer, parameter :: nGC_1486 = 1260
  integer, parameter :: nGC_1139 = 1261
  integer, parameter :: nGC_1782 = 1262
  integer, parameter :: nGC_1783 = 1263
  integer, parameter :: nGC_1032 = 1264
  integer, parameter :: nGC_1703 = 1265
  integer, parameter :: nGC_884 = 1266
  integer, parameter :: nGC_883 = 1267
  integer, parameter :: nGC_1097 = 1268
  integer, parameter :: nGC_1120 = 1269
  integer, parameter :: nGC_1728 = 1270
  integer, parameter :: nGC_1084 = 1271
  integer, parameter :: nGC_1557 = 1272
  integer, parameter :: nGC_1004 = 1273
  integer, parameter :: nGC_1554 = 1274
  integer, parameter :: nGC_1553 = 1275
  integer, parameter :: nGC_1550 = 1276
  integer, parameter :: nGC_935 = 1277
  integer, parameter :: nGC_1644 = 1278
  integer, parameter :: nGC_931 = 1279
  integer, parameter :: nGC_933 = 1280
  integer, parameter :: nGC_932 = 1281
  integer, parameter :: nGC_1473 = 1282
  integer, parameter :: nGC_959 = 1283
  integer, parameter :: nGC_1805 = 1284
  integer, parameter :: nGC_1803 = 1285
  integer, parameter :: nGC_1153 = 1286
  integer, parameter :: nGC_1152 = 1287
  integer, parameter :: nGC_1151 = 1288
  integer, parameter :: nGC_1150 = 1289
  integer, parameter :: nGC_1157 = 1290
  integer, parameter :: nGC_1156 = 1291
  integer, parameter :: nGC_1155 = 1292
  integer, parameter :: nGC_1154 = 1293
  integer, parameter :: nGC_1714 = 1294
  integer, parameter :: nGC_1159 = 1295
  integer, parameter :: nGC_1158 = 1296
  integer, parameter :: nGC_1710 = 1297
  integer, parameter :: nGC_1712 = 1298
  integer, parameter :: nGC_908 = 1299
  integer, parameter :: nGC_1469 = 1300
  integer, parameter :: nGC_1547 = 1301
  integer, parameter :: nGC_1791 = 1302
  integer, parameter :: nGC_1790 = 1303
  integer, parameter :: nGC_901 = 1304
  integer, parameter :: nGC_902 = 1305
  integer, parameter :: nGC_903 = 1306
  integer, parameter :: nGC_1798 = 1307
  integer, parameter :: nGC_906 = 1308
  integer, parameter :: nGC_907 = 1309
  integer, parameter :: nGC_1795 = 1310
  integer, parameter :: nGC_986 = 1311
  integer, parameter :: nGC_987 = 1312
  integer, parameter :: nGC_1797 = 1313
  integer, parameter :: nGC_1496 = 1314
  integer, parameter :: nGC_1491 = 1315
  integer, parameter :: nGC_1017 = 1316
  integer, parameter :: nGC_1603 = 1317
  integer, parameter :: nGC_1708 = 1318
  integer, parameter :: nGC_1453 = 1319
  integer, parameter :: nGC_1148 = 1320
  integer, parameter :: nGC_1149 = 1321
  integer, parameter :: nGC_1571 = 1322
  integer, parameter :: nGC_1668 = 1323
  integer, parameter :: nGC_1780 = 1324
  integer, parameter :: nGC_1781 = 1325
  integer, parameter :: nGC_1784 = 1326
  integer, parameter :: nGC_1472 = 1327
  integer, parameter :: nGC_1662 = 1328
  integer, parameter :: nGC_1475 = 1329
  integer, parameter :: nGC_1457 = 1330
  integer, parameter :: nGC_885 = 1331
  integer, parameter :: nGC_1172 = 1332
  integer, parameter :: nGC_998 = 1333
  integer, parameter :: nGC_992 = 1334
  integer, parameter :: nGC_991 = 1335
  integer, parameter :: nGC_1465 = 1336
  integer, parameter :: nGC_1464 = 1337
  integer, parameter :: nGC_1677 = 1338
  integer, parameter :: nGC_1674 = 1339
  integer, parameter :: nGC_1178 = 1340
  integer, parameter :: nGC_1670 = 1341
  integer, parameter :: nGC_1175 = 1342
  integer, parameter :: nGC_1174 = 1343
  integer, parameter :: nGC_1177 = 1344
  integer, parameter :: nGC_1176 = 1345
  integer, parameter :: nGC_1449 = 1346
  integer, parameter :: nGC_1170 = 1347
  integer, parameter :: nGC_1173 = 1348
  integer, parameter :: nGC_1679 = 1349
  integer, parameter :: nGC_1564 = 1350
  integer, parameter :: nGC_1563 = 1351
  integer, parameter :: nGC_1561 = 1352
  integer, parameter :: nGC_1071 = 1353
  integer, parameter :: nGC_1169 = 1354
  integer, parameter :: nGC_971 = 1355
  integer, parameter :: nGC_1522 = 1356
  integer, parameter :: nGC_1168 = 1357
  integer, parameter :: nGC_972 = 1358
  integer, parameter :: nGC_975 = 1359
  integer, parameter :: nGC_974 = 1360
  integer, parameter :: nGC_976 = 1361
  integer, parameter :: nGC_1162 = 1362
  integer, parameter :: nGC_978 = 1363
  integer, parameter :: nGC_1160 = 1364
  integer, parameter :: nGC_1161 = 1365
  integer, parameter :: nGC_1166 = 1366
  integer, parameter :: nGC_1167 = 1367
  integer, parameter :: nGC_1165 = 1368
  integer, parameter :: nGC_1512 = 1369
  integer, parameter :: nGC_1766 = 1370
  integer, parameter :: nGC_1510 = 1371
  integer, parameter :: nGC_1689 = 1372
  integer, parameter :: nGC_1201 = 1373
  integer, parameter :: nGC_1046 = 1374
  integer, parameter :: nGC_1049 = 1375
  integer, parameter :: nGC_1687 = 1376
  integer, parameter :: nGC_1684 = 1377
  integer, parameter :: nGC_1559 = 1378
  integer, parameter :: nGC_1171 = 1379
  integer, parameter :: nGC_1501 = 1380
  integer, parameter :: nGC_1114 = 1381
  integer, parameter :: nGC_1504 = 1382
  integer, parameter :: nGC_1506 = 1383
  integer, parameter :: nGC_1197 = 1384
  integer, parameter :: nGC_1196 = 1385
  integer, parameter :: nGC_1195 = 1386
  integer, parameter :: nGC_1194 = 1387
  integer, parameter :: nGC_1193 = 1388
  integer, parameter :: nGC_1192 = 1389
  integer, parameter :: nGC_1198 = 1390
  integer, parameter :: nGC_1593 = 1391
  integer, parameter :: nGC_1590 = 1392
  integer, parameter :: nGC_1597 = 1393
  integer, parameter :: nGC_1595 = 1394
  integer, parameter :: nGC_1599 = 1395
  integer, parameter :: nGC_1499 = 1396
  integer, parameter :: nGC_1806 = 1397
  integer, parameter :: nGC_1799 = 1398
  integer, parameter :: nGC_1796 = 1399
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
