!******************************************************************************!
!                                                                              !
!    ctparameter148.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter148.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter148
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter148()
  dMHH2_QED2 = cima*(coupl(nGC_76)*dtHl_QED1/cMHL**2d0 + coupl(nGC_78)*        &
               dtHh_QED1/cMHH**2d0) + (4d0*Nc*Ten115*cMU**2d0*coupl(nGC_123)** &
               2d0 + 4d0*Nc*Ten116*cMC**2d0*coupl(nGC_88)**2d0 + 4d0*Nc*Ten117*&
               cMT**2d0*coupl(nGC_113)**2d0 + 4d0*Nc*Ten118*cMD**2d0*coupl(    &
               nGC_93)**2d0 + 4d0*Nc*Ten119*cMS**2d0*coupl(nGC_108)**2d0 + 4d0*&
               Nc*Ten120*cMB**2d0*coupl(nGC_83)**2d0 + 4d0*Nc*Ten136*cMHH**2d0*&
               coupl(nGC_123)**2d0 + 16d0*Nc*Ten137*coupl(nGC_123)**2d0 + 4d0* &
               Nc*Ten138*cMHH**2d0*coupl(nGC_123)**2d0 + 4d0*Nc*Ten139*cMHH**  &
               2d0*coupl(nGC_88)**2d0 + 16d0*Nc*Ten140*coupl(nGC_88)**2d0 + 4d0&
               *Nc*Ten141*cMHH**2d0*coupl(nGC_88)**2d0 + 4d0*Nc*Ten142*cMHH**  &
               2d0*coupl(nGC_113)**2d0 + 16d0*Nc*Ten143*coupl(nGC_113)**2d0 +  &
               4d0*Nc*Ten144*cMHH**2d0*coupl(nGC_113)**2d0 + 4d0*Nc*Ten145*cMHH&
               **2d0*coupl(nGC_93)**2d0 + 16d0*Nc*Ten146*coupl(nGC_93)**2d0 +  &
               4d0*Nc*Ten147*cMHH**2d0*coupl(nGC_93)**2d0 + 4d0*Nc*Ten148*cMHH &
               **2d0*coupl(nGC_108)**2d0 + 16d0*Nc*Ten149*coupl(nGC_108)**2d0  &
                + 4d0*Nc*Ten150*cMHH**2d0*coupl(nGC_108)**2d0 + 4d0*Nc*Ten151* &
               cMHH**2d0*coupl(nGC_83)**2d0 + 16d0*Nc*Ten152*coupl(nGC_83)**2d0&
                + 4d0*Nc*Ten153*cMHH**2d0*coupl(nGC_83)**2d0 + 4d0*Nc*Ten165*  &
               cMU**2d0*coupl(nGC_123)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*  &
               Ten166*cMC**2d0*coupl(nGC_88)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0&
               *Nc*Ten167*cMT**2d0*coupl(nGC_113)**2d0*(cMHH**2d0 - rMHH**2d0  &
               ) + 4d0*Nc*Ten168*cMD**2d0*coupl(nGC_93)**2d0*(cMHH**2d0 - rMHH &
               **2d0) + 4d0*Nc*Ten169*cMS**2d0*coupl(nGC_108)**2d0*(cMHH**2d0  &
                - rMHH**2d0) + 4d0*Nc*Ten170*cMB**2d0*coupl(nGC_83)**2d0*(cMHH &
               **2d0 - rMHH**2d0) + 4d0*Nc*Ten177*coupl(nGC_123)**2d0*rMHH**2d0&
               *(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten178*coupl(nGC_88)**2d0*rMHH&
               **2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten179*coupl(nGC_113)**  &
               2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten180*coupl(    &
               nGC_93)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten181* &
               coupl(nGC_108)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc* &
               Ten182*coupl(nGC_83)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) +   &
               16d0*Nc*Ten186*coupl(nGC_123)**2d0*(cMHH**2d0 - rMHH**2d0) +    &
               16d0*Nc*Ten187*coupl(nGC_88)**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0&
               *Nc*Ten188*coupl(nGC_113)**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc&
               *Ten189*coupl(nGC_93)**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*   &
               Ten190*coupl(nGC_108)**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Nc*   &
               Ten191*coupl(nGC_83)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Nc*     &
               Ten195*coupl(nGC_123)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) +  &
               4d0*Nc*Ten196*coupl(nGC_88)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**  &
               2d0) + 4d0*Nc*Ten197*coupl(nGC_113)**2d0*rMHH**2d0*(cMHH**2d0 - &
               rMHH**2d0) + 4d0*Nc*Ten198*coupl(nGC_93)**2d0*rMHH**2d0*(cMHH** &
               2d0 - rMHH**2d0) + 4d0*Nc*Ten199*coupl(nGC_108)**2d0*rMHH**2d0*(&
               cMHH**2d0 - rMHH**2d0) + 4d0*Nc*Ten200*coupl(nGC_83)**2d0*rMHH**&
               2d0*(cMHH**2d0 - rMHH**2d0) - 4d0*Nc*cMB**2d0*coupl(nGC_83)**2d0&
                - 4d0*Nc*cMC**2d0*coupl(nGC_88)**2d0 - 4d0*Nc*cMD**2d0*coupl(  &
               nGC_93)**2d0 + 2d0*Nc*cMHH**2d0*coupl(nGC_108)**2d0/3d0 + 2d0*Nc&
               *cMHH**2d0*coupl(nGC_113)**2d0/3d0 + 2d0*Nc*cMHH**2d0*coupl(    &
               nGC_123)**2d0/3d0 + 2d0*Nc*cMHH**2d0*coupl(nGC_83)**2d0/3d0 +   &
               2d0*Nc*cMHH**2d0*coupl(nGC_88)**2d0/3d0 + 2d0*Nc*cMHH**2d0*coupl&
               (nGC_93)**2d0/3d0 - 4d0*Nc*cMS**2d0*coupl(nGC_108)**2d0 - 4d0*Nc&
               *cMT**2d0*coupl(nGC_113)**2d0 - 4d0*Nc*cMU**2d0*coupl(nGC_123)**&
               2d0 + cima*Ten0*coupl(nGC_25)/2d0 + cima*Ten1*(coupl(nGC_20) -  &
               4d0*coupl(nGC_65))/2d0 + Ten107*(-5d0*cMHH**2d0*coupl(nGC_57)** &
               2d0 + 2d0*coupl(nGC_60)**2d0 - 4d0*coupl(nGC_72)**2d0 - coupl(  &
               nGC_75)**2d0)/2d0 + Ten108*(-5d0*cMHH**2d0*coupl(nGC_34)*coupl( &
               nGC_35) + 2d0*coupl(nGC_44)**2d0 - 4d0*coupl(nGC_69)**2d0 -     &
               coupl(nGC_75)**2d0) - Ten109*coupl(nGC_79)**2d0/2d0 - Ten110*   &
               coupl(nGC_76)**2d0 - Ten111*coupl(nGC_78)**2d0/2d0 + 4d0*Ten112*&
               cME**2d0*coupl(nGC_98)**2d0 + 4d0*Ten113*cMM**2d0*coupl(nGC_103 &
               )**2d0 + 4d0*Ten114*cMTA**2d0*coupl(nGC_118)**2d0 - Ten121*cMHH &
               **2d0*coupl(nGC_57)**2d0 - 4d0*Ten122*coupl(nGC_57)**2d0 -      &
               Ten123*cMHH**2d0*coupl(nGC_57)**2d0 - 2d0*Ten124*cMHH**2d0*coupl&
               (nGC_34)*coupl(nGC_35) - 8d0*Ten125*coupl(nGC_34)*coupl(nGC_35  &
               ) - 2d0*Ten126*cMHH**2d0*coupl(nGC_34)*coupl(nGC_35) + 4d0*     &
               Ten127*cMHH**2d0*coupl(nGC_98)**2d0 + 16d0*Ten128*coupl(nGC_98  &
               )**2d0 + 4d0*Ten129*cMHH**2d0*coupl(nGC_98)**2d0 + 4d0*Ten130*  &
               cMHH**2d0*coupl(nGC_103)**2d0 + 16d0*Ten131*coupl(nGC_103)**2d0 &
                + 4d0*Ten132*cMHH**2d0*coupl(nGC_103)**2d0 + 4d0*Ten133*cMHH** &
               2d0*coupl(nGC_118)**2d0 + 16d0*Ten134*coupl(nGC_118)**2d0 + 4d0*&
               Ten135*cMHH**2d0*coupl(nGC_118)**2d0 + Ten154*(-5d0*cMHH**2d0*  &
               coupl(nGC_57)**2d0*rMHH**2d0 + 2d0*cMHH**2d0*coupl(nGC_60)**2d0 &
                - 4d0*cMHH**2d0*coupl(nGC_72)**2d0 - cMHH**2d0*coupl(nGC_75)** &
               2d0 + 5d0*coupl(nGC_57)**2d0*rMHH**4d0 - 2d0*coupl(nGC_60)**2d0*&
               rMHH**2d0 + 4d0*coupl(nGC_72)**2d0*rMHH**2d0 + coupl(nGC_75)**  &
               2d0*rMHH**2d0)/2d0 + Ten155*coupl(nGC_57)**2d0*rMHH**2d0*(-cMHH &
               **2d0 + rMHH**2d0) + 4d0*Ten156*coupl(nGC_57)**2d0*(-cMHH**2d0  &
                + rMHH**2d0) + Ten157*coupl(nGC_57)**2d0*rMHH**2d0*(-cMHH**2d0 &
                + rMHH**2d0) + Ten158*(-5d0*cMHH**2d0*coupl(nGC_34)*coupl(     &
               nGC_35)*rMHH**2d0 + 2d0*cMHH**2d0*coupl(nGC_44)**2d0 - 4d0*cMHH &
               **2d0*coupl(nGC_69)**2d0 - cMHH**2d0*coupl(nGC_75)**2d0 + 5d0*  &
               coupl(nGC_34)*coupl(nGC_35)*rMHH**4d0 - 2d0*coupl(nGC_44)**2d0* &
               rMHH**2d0 + 4d0*coupl(nGC_69)**2d0*rMHH**2d0 + coupl(nGC_75)**  &
               2d0*rMHH**2d0) + 2d0*Ten159*coupl(nGC_34)*coupl(nGC_35)*rMHH**  &
               2d0*(-cMHH**2d0 + rMHH**2d0) + 8d0*Ten160*coupl(nGC_34)*coupl(  &
               nGC_35)*(-cMHH**2d0 + rMHH**2d0) + 2d0*Ten161*coupl(nGC_34)*    &
               coupl(nGC_35)*rMHH**2d0*(-cMHH**2d0 + rMHH**2d0) + 4d0*Ten162*  &
               cME**2d0*coupl(nGC_98)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Ten163&
               *cMM**2d0*coupl(nGC_103)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*    &
               Ten164*cMTA**2d0*coupl(nGC_118)**2d0*(cMHH**2d0 - rMHH**2d0) +  &
               Ten171*coupl(nGC_79)**2d0*(-cMHH**2d0 + rMHH**2d0)/2d0 + Ten172*&
               coupl(nGC_76)**2d0*(-cMHH**2d0 + rMHH**2d0) + Ten173*coupl(     &
               nGC_78)**2d0*(-cMHH**2d0 + rMHH**2d0)/2d0 + 4d0*Ten174*coupl(   &
               nGC_98)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Ten175*    &
               coupl(nGC_103)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*    &
               Ten176*coupl(nGC_118)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) +  &
               16d0*Ten183*coupl(nGC_98)**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*  &
               Ten184*coupl(nGC_103)**2d0*(cMHH**2d0 - rMHH**2d0) + 16d0*Ten185&
               *coupl(nGC_118)**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Ten192*coupl(&
               nGC_98)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*Ten193*    &
               coupl(nGC_103)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) + 4d0*    &
               Ten194*coupl(nGC_118)**2d0*rMHH**2d0*(cMHH**2d0 - rMHH**2d0) +  &
               cima*Ten2*coupl(nGC_24)/2d0 + cima*Ten3*(coupl(nGC_20) - 4d0*   &
               coupl(nGC_28)) - 4d0*cME**2d0*coupl(nGC_98)**2d0 + 2d0*cMHH**2d0&
               *coupl(nGC_103)**2d0/3d0 + 2d0*cMHH**2d0*coupl(nGC_118)**2d0/3d0&
                - cMHH**2d0*coupl(nGC_34)*coupl(nGC_35)/3d0 - cMHH**2d0*coupl( &
               nGC_57)**2d0/6d0 + 2d0*cMHH**2d0*coupl(nGC_98)**2d0/3d0 - 4d0*  &
               cMM**2d0*coupl(nGC_103)**2d0 - 4d0*cMTA**2d0*coupl(nGC_118)**2d0&
                + 2d0*cima*cMW**2d0*coupl(nGC_28) + 2d0*cMW**2d0*coupl(nGC_34)*&
               coupl(nGC_35) + cMZ**2d0*coupl(nGC_57)**2d0 + cima*cMZ**2d0*    &
               coupl(nGC_65) + 2d0*coupl(nGC_69)**2d0 + coupl(nGC_72)**2d0)/(  &
               16d0*pi**2d0)
end subroutine set_ctparameter148
end module ctparameter148
