!******************************************************************************!
!                                                                              !
!    ctparameter41.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter41.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter41
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter41()
  if (dZbR_QED2_scheme .eq. 0) then
    dZbR_QED2 = (2d0*Ten354*coupl(nGC_1)**2d0 + Ten355*(2d0*coupl(nGC_50)**2d0 &
                 + coupl(nGC_81)*coupl(nGC_82)) + Ten356*coupl(nGC_80)**2d0 -  &
                Ten357*coupl(nGC_83)**2d0 - Ten358*coupl(nGC_84)**2d0 + 2d0*   &
                Ten359*coupl(nGC_1)**2d0 + Ten360*(2d0*coupl(nGC_50)**2d0 +    &
                coupl(nGC_81)*coupl(nGC_82)) + Ten361*coupl(nGC_80)**2d0 + 2d0*&
                Ten364*cMB*coupl(nGC_83)**2d0*rMB + 2d0*Ten365*cMB*coupl(nGC_84&
                )**2d0*rMB + 4d0*Ten366*coupl(nGC_1)**2d0*rMB*(-2d0*cMB + rMB  &
                ) + Ten367*rMB*(-8d0*cMB*coupl(nGC_50)*coupl(nGC_53) + cMB*    &
                coupl(nGC_81)**2d0 + cMB*coupl(nGC_82)**2d0 + 2d0*coupl(nGC_50 &
                )**2d0*rMB + 2d0*coupl(nGC_53)**2d0*rMB + 2d0*coupl(nGC_81)*   &
                coupl(nGC_82)*rMB) + Ten368*rMB*(2d0*cMT*coupl(nGC_110)*coupl( &
                nGC_80) + coupl(nGC_110)**2d0*rMB + 2d0*coupl(nGC_33)**2d0*rMB &
                 + coupl(nGC_80)**2d0*rMB) - 2d0*Ten369*coupl(nGC_83)**2d0*rMB &
                **2d0 - 2d0*Ten370*coupl(nGC_84)**2d0*rMB**2d0 + 4d0*Ten371*   &
                coupl(nGC_1)**2d0*rMB**2d0 + 2d0*Ten372*rMB**2d0*(coupl(nGC_50 &
                )**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_81)*coupl(nGC_82)) +   &
                Ten373*rMB**2d0*(coupl(nGC_110)**2d0 + 2d0*coupl(nGC_33)**2d0  &
                 + coupl(nGC_80)**2d0) - coupl(nGC_1)**2d0 - coupl(nGC_50)**2d0&
                )/(16d0*pi**2d0)
  end if 
end subroutine set_ctparameter41
end module ctparameter41
